Feature Requests
Share ideas, discuss and vote on requests from other users in community
 

Upgrade smarty to version 3.x

Shaun Reitan shared this idea 6 years ago
Completed

WHMCS is running a old, incomplete, and outdated version of Smarty 2.x I would like to see the smarty template engine upgraded to the full version of 3.x. Smarty 3 has better logic, performs better and has newer features that us developers could benefit from (for example: blocks and template inheritance). Also, smart 3.x has a backward compatible version available to support old 2.x templates that have a few features no longer supported. This could be included and the legacy system could be enabled with a config change.

Comments (3)

photo
1

Hi,

As far as I can see in the WHMCS V6.0.0 Beta 5 Changelog there is a case about that:VSIX-538 - Roll back to Smarty 3.1.21

photo
1

WHMCS v6 (currently in beta) ships with Smarty 3.

That case correlates to this forum thread http://forum.whmcs.com/showthread.php?100847-php-no-longer-working-since-Beta-4&highlight=beta+smarty

There are one or two other beta forum threads that discuss Smarty 3. If you wish to know more about v6 or join the beta program, please visit http://vsix.whmcs.com/

photo
1

This needs to be closed now that it's been done.